com.pdfunit.filter.image

## Class ImageRegion

- java.lang.Object
- - com.pdfunit.filter.image.ImageRegion

-     @DoNotObfuscate
      public class ImageRegion
      extends java.lang.Object

  This class holds all values needed to define a region of an image. All values expected as pixels.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageRegion(int leftX, int upperY, int width, int height)` This class is a wrapper for a rectangle defined by its x/y values for the upper left point and width/height.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Rectangle` | `getAwtRectangle()`
    `ImageRegion` | `getFlippedHorizontally()`
    `ImageRegion` | `getFlippedVertically()`
    `int` | `getHeight()`
    `int` | `getLeftX()`
    `ImageRegion` | `getRotated90()`
    `int` | `getUpperY()`
    `int` | `getWidth()`
    `void` | `setFullImageHeight(int fullImageHeight)`
    `void` | `setFullImageWidth(int fullImageWidth)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageRegion

          @Guarded
          public ImageRegion(int leftX,
                             int upperY,
                             int width,
                             int height)

      This class is a wrapper for a rectangle defined by its x/y values for the upper left point and width/height. All values are pixels.

  - ### Method Detail

    - #### getLeftX

          public int getLeftX()

    - #### getUpperY

          public int getUpperY()

    - #### getWidth

          public int getWidth()

    - #### getHeight

          public int getHeight()

    - #### getAwtRectangle

          public java.awt.Rectangle getAwtRectangle()

    - #### setFullImageHeight

          public void setFullImageHeight(int fullImageHeight)

    - #### setFullImageWidth

          public void setFullImageWidth(int fullImageWidth)

    - #### getRotated90

          public ImageRegion getRotated90()

    - #### getFlippedVertically

          public ImageRegion getFlippedVertically()

    - #### getFlippedHorizontally

          public ImageRegion getFlippedHorizontally()

Copyright (C) PDFUnit.com. See here for license.